@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: $primary;
    background-color: $white;
    font-family: $font-family-primary;
    font-size: rem(16);
}

.container {
    margin: 0 auto;
    padding: 0 rem(20);

    @include media-breakpoint-up(sm) {
        max-width: rem(560);
    }
    @include media-breakpoint-up(md) {
        max-width: rem(768);
    }
    @include media-breakpoint-up(lg) {
        max-width: rem(970);
    }
    @include media-breakpoint-up(xl) {
        max-width: rem(1220);
    }
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    font-size: rem(30);
    line-height: rem(37);
    margin-bottom: rem(32);
}

h2, .h2 {
    font-size: rem(30);
    line-height: rem(37);
    margin-bottom: rem(24);
}

h3, .h3 {
    font-size: rem(22);
    line-height: rem(33);
    margin-bottom: rem(20);
}

h4, .h4 {
    font-size: rem(20);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


.modal {
    width: 99%;
    max-width: rem(546);
    padding: rem(60) rem(16);
    background: $white;

    &--xl {
        width: 100%;
        max-width: rem(864);
    }

    &__wrap {
        margin: 0 auto;
        max-width: rem(320);
    }

    &__title {
        font-weight: 700;
        font-size: rem(25);
        line-height: rem(31);
        margin-bottom: rem(15);
        text-align: center;
    }

    &__subtitle {
        color: #727272;
        line-height: 140%;
        font-size: rem(15);
        text-align: center;
        max-width: rem(260);
        margin: 0 auto rem(16) auto;
    }

    &__text {
        color: #727272;
        text-align: center;
        font-size: rem(14);
        line-height: 140%;

        a {
            color: $black;
            text-decoration: underline;

            &:hover {
                color: $black;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(50) rem(60);
    }
}


